#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

#define str string
#define ldb long double
#define ll long long
#define db double
#define ull unsigned long long
#define ss second
#define ff first
#define pob pop_back
#define pub push_back
#define fast ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
#define all(v) v.begin(), v.end()
const ll INF18 = 2e18;
const int INF9 = 2e9;
const db PI = acos(-1);
const db EPS = 1e-5;
mt19937 rnd(time(0));
template <typename T, typename TT>
ostream& operator<<(ostream& out, pair<T, TT> &a) {
    out << "{" << a.ff << ' ' << a.ss << '\n';
    return out;
}
template <typename T>
ostream& operator<<(ostream& out, vector<T> &a) {
    for (auto it : a)
        out << it << ' ';
    return out;
}
template <typename T>
ostream& operator<<(ostream& out, set<T> &a) {
    for (auto it : a)
        out << it << ' ';
    return out;
}
#define print(...) cout << #__VA_ARGS__ << " = " << __VA_ARGS__ << '\n'
#define ordered_set tree<int, null_type, less<int>, rb_tree_tag, tree_order_statistics_node_update>
#define int ll

signed main() {
    fast
    int x;
    cin >> x;

    int res = 0;
    while (x > 0) {
        int c = x % 10;
        x /= 10;

        if (c == 2)
            c = 5;
        else if (c == 5)
            c = 2;

        res = res * 10 + c;
    }

    cout << res;
    return 0;
}
